import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  /** 查询字典类型信息*/
  getDictType(data) {
    return request(getDataBaseUrl()+'/api/dicttype/getdicttype', {
      method: 'Post',
      data: data,
    });
  },
  /** 添加字典类型信息*/
  addDictType(data) {
    return request(getDataBaseUrl()+'/api/dicttype/adddicttype', {
      method: 'POST',
      data: data,
    });
  },
  /** 修改字典类型信息*/
  updateDictType(data) {
    return request(getDataBaseUrl()+'/api/dicttype/updatedicttype', {
      method: 'POST',
      data: data,
    });
  },
  /** 删除字典类型信息*/
  removeDictType(data) {
    return request(getDataBaseUrl()+'/api/dicttype/deletetedicttype', {
      method: 'POST',
      data: data,
    });
  },
};
